.problems {
  padding: 40px 0px;
}

.problems__title {
  margin-bottom: 50px;
  text-align: center;
}

.problems__list {
  @include list-reset;
  margin-bottom: 60px;
}

.problems__sub-list {
  @include list-reset;
}

.problems__info {
  padding: 28px 16px 57px 16px;
  background-color: $cream;
  border-radius: 0 0 0 70px;

  &::before {
    @include pseudo;
    width: 44px;
    height: 44px;
    margin: 0 auto;
    margin-bottom: 10px;
    background-image: url("../images/star.svg");
    background-size: contain;
  }
}

.problems__caption {
  margin-bottom: 14px;
  font-weight: 500;
  font-size: 24px;
  line-height: 28px;
  text-align: center;
  color: $brown;
}

.problems__desc {
  font-size: 16px;
  line-height: 165%;
  text-align: center;
  color: $brown;
}

.problems__img {
  display: block;
  height: 362px;
  object-fit: cover;
  border-radius: 89px 0px 0px 0px;
}

.problems__text {
  font-size: 18px;
  line-height: 165%;
  text-align: center;
  color: $brown;
}

.problems__header {
  margin-bottom: 18px;
  font-weight: 500;
  font-size: 24px;
  line-height: 28px;
  text-align: center;
  color: $brown;
}

.problems__sub-item {
  margin-bottom: 48px;

  &::before {
    @include pseudo;
    width: 44px;
    height: 44px;
    margin: 0 auto;
    margin-bottom: 16px;
    background-size: contain;
  }

  &--problem {
    &::before {
      background-image: url("../images/problem_1.svg");
    }
  }

  &--action {
    &::before {
      background-image: url("../images/problem_2.svg");
    }
  }
}

.problems__button {
  margin-bottom: 40px;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  .button__icon {
    display: none;
    svg {
      width: 26px;
      height: 26px;
      fill: $red;
    }
  }
}

.problems__controls {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 284px;
  margin: 0 auto;
}


.problems__control {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  padding: 0;
  background: $green;
  border: none;
  cursor: pointer;
  appearance: none;

  &--prev {
    border-radius: 22px 0 24px 0;
  }

  &--next {
    border-radius: 0 22px 0 24px;
  }

  svg {
    width: 26px;
    height: 10px;
    fill: $white;
  }
}

.problems__counter {
  font-size: 18px;
  line-height: 21px;
  color: $brown;
}

@media (min-width: 1280px) {
  .problems {
    position: relative;
    padding-top: 80px;
    padding-bottom: 80px;
  }

  .problems__title {
    max-width: 570px;
    text-align: left;
    margin-bottom: 92px
  }

  .problems__subtitle {
    margin-bottom: 70px;
  }

  .problems__text {
    text-align: left;
    max-width: 454px;
  }

  .problems__header {
    margin-bottom: 8px;
    text-align: left;
  }

  .problems__sub-item {
    display: flex;
    align-items: flex-start;
    margin-bottom: 74px;

    &::before {
      min-width: 44px;
      margin: 0;
      margin-right: 30px;
    }
  }

  .problems__inner {
    display: flex;
    padding-top: 328px;

  }

  .problems__img {
    width: 100%;
    height: calc(100% - 96px);
    position: absolute;
    left: 0;
    top: 0;
  }

  .problems__sub-list {
    margin-right: 37px;
    padding-bottom: 40px;
  }

  .problems__visual {
    position: relative;
    margin-top: -328px;
    width: 591px;
    min-width: 591px;
    margin-left: auto;
    overflow: hidden;
  }

  .problems__item {
    padding-bottom: 0px;
  }

  .problems__info {
    position: absolute;
    bottom: 0px;
    left: 0px;
    display: flex;
    align-items: flex-start;
    width: 503px;
    padding: 26px;
    border-radius: 0 70px;

    &::before {
      min-width: 44px;
      margin: 0;
      margin-right: 30px;
    }
  }

  .problems__caption {
    text-align: left;
    margin-bottom: 8px;
  }

  .problems__desc {
    text-align: left;
  }

  .problems__list {
    margin-bottom: 92px;
    margin-top: -328px;
  }



  .problems__controls {
    position: absolute;
    bottom: 250px;
    left: calc(50% - 546px);
    width: 284px;
  }

  .problems__button {
    margin-bottom: 0;
    .button__icon {
      display: flex;
    }
  }
}
